﻿using System;
using System.ServiceModel;
using Blog4j.Examples.WCF.SimpleService;

namespace Blog4j.Examples.WCF.SimpleServiceConsumer
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                var channelFactory = new ChannelFactory<IMessageService>("messageServiceEndpoint");
                var service = channelFactory.CreateChannel();
                Console.WriteLine("Message from service: {0}", service.GetMessage());
                Console.ReadLine();
                channelFactory.Close();
            } catch(Exception ex)
            {
                Console.WriteLine("Error while using service: {0}", ex.Message);
                Console.ReadLine();
            }
        }
    }
}