﻿using System;
using System.ServiceModel;

namespace Blog4j.Examples.WCF.SimpleServiceHoster
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var serviceHost = new ServiceHost(new DummyMessageService()))
            {
                try
                {
                    serviceHost.Open();
                    Console.WriteLine("Service was succesfully hosted. Press [enter] to exit...");
                    Console.ReadLine();
                } catch(Exception ex)
                {
                    Console.WriteLine("Error occured while hosting service. Press [enter] to exit...");
                    Console.WriteLine(ex.Message);
                    Console.ReadLine();
                }
            }
        }
    }
}